Package org.apache.nutch.crawl

## Class TextMD5Signature

- java.lang.Object
- - org.apache.nutch.crawl.Signature
  - - org.apache.nutch.crawl.TextMD5Signature

- All Implemented Interfaces:
    `Configurable`

      public class TextMD5Signature
      extends Signature

  Implementation of a page signature. It calculates an MD5 hash of the textual content of a page. In case there is no content, it calculates a hash from the page's URL.

- - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.crawl.Signature

      `conf`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextMD5Signature()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `calculate​(Content content, Parse parse)` |

    - ### Methods inherited from class org.apache.nutch.crawl.Signature

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextMD5Signature

          public TextMD5Signature()

  - ### Method Detail

    - #### calculate

          public byte[] calculate​(Content content,
                                  Parse parse)

      Specified by:
        `calculate` in class `Signature`